Call Me Back module
Endpoints
Endpoints for managing configuration for Call Me Back widgets, websites and buttons
GET
/callmeback/websites Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/websites HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1627,
"allowed_countries": "value",
"button_id": 9397,
"created_at": "2018-03-23 18:55:09",
"culture": 2,
"ddi": 152,
"floating_icon": true,
"name": "value",
"position": 3,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/settings Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/settings HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6252,
"allowed_countries": "value",
"button_id": 8756,
"created_at": "2022-08-03 03:23:32",
"culture": 3,
"ddi": 9054,
"floating_icon": true,
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
POST
/callmeback/settings Creates new Call Me Back settings resource
Parameters
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
POST /v1.1/voipstudio/callmeback/settings HTTP/1.1
Host: l7api.com
{
"button_id": 810,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 743,
"max_call_rate": "100.00"
}
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 7702,
"allowed_countries": "value",
"button_id": 1950,
"created_at": "2022-01-04 06:22:03",
"culture": 4,
"ddi": 9503,
"floating_icon": true,
"name": "value",
"position": 4,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
GET
/callmeback/settings/{id} Returns Website resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/settings/24 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8678,
"allowed_countries": "value",
"button_id": 9940,
"created_at": "2019-01-04 04:42:17",
"culture": 4,
"ddi": 3788,
"floating_icon": true,
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/settings/{id} Updates existing CallMeBackSetting resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
PATCH /v1.1/voipstudio/callmeback/settings/4 HTTP/1.1
Host: l7api.com
{
"button_id": 260,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 581,
"max_call_rate": "100.00"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 5358,
"allowed_countries": "value",
"button_id": 547,
"created_at": "2022-03-08 14:32:32",
"culture": 2,
"ddi": 1102,
"floating_icon": true,
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/settings/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/settings/78 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
GET
/callmeback/cdrs Returns collection of Cdr resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9665,
"allowed_countries": "value",
"button_id": 3625,
"created_at": "2021-08-16 21:52:06",
"culture": 4,
"ddi": 5305,
"floating_icon": true,
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/visitors Returns collection of Visitor resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/visitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 9835,
"allowed_countries": "value",
"button_id": 8845,
"created_at": "2021-03-08 17:54:40",
"culture": 2,
"ddi": 3098,
"floating_icon": true,
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/buttons/{id} Returns CallMeBackButton resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/buttons/73 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 876,
"allowed_countries": "value",
"button_id": 526,
"created_at": "2019-04-02 20:49:59",
"culture": 1,
"ddi": 6878,
"floating_icon": true,
"name": "value",
"position": 1,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/buttons/{id} Creates new Call Me Button resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
name string
data_online string
data_offline string
Example Request
PATCH /v1.1/voipstudio/callmeback/buttons/28 HTTP/1.1
Host: l7api.com
{
"name": "abcd",
"data_online": "abcd",
"data_offline": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7828,
"allowed_countries": "value",
"button_id": 7568,
"created_at": "2020-02-12 18:04:32",
"culture": 0,
"ddi": 922,
"floating_icon": true,
"name": "value",
"position": 3,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/buttons/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/buttons/87 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
POST
/callmeback/buttons Creates new CallMeBackButton resource
Parameters
Example Request
POST /v1.1/voipstudio/callmeback/buttons HTTP/1.1 Host: l7api.com
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 2825,
"allowed_countries": "value",
"button_id": 8439,
"created_at": "2018-01-14 20:29:02",
"culture": 1,
"ddi": 9387,
"floating_icon": true,
"name": "value",
"position": 6,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}